#!/bin/sh

set -e

case "$1" in
    purge)
        # By debian Policy §6.5, we may only rely on essential packages and
        # must fail gracefully if they are unavailable.
        # Use userdel/groupdel from passwd instead of deluser/delgroup from
        # the adduser package. This is because adduser depends on passwd,
        # but is of lesser priority.
        # Note that at the time of this writing, neither passwd nor adduser
        # are essential packages.
        userdel  _iked >/dev/null 2>&1 || true;
        groupdel _iked >/dev/null 2>&1 || true;
        # The following files get left behind unless we manually delete them:
        #      /etc/iked/
        #      /etc/iked/local.pub
        #      /etc/iked/private/
        #      /etc/iked/private/local.key
        # The user may have created other files under these directories.
        # As a result, we only attempt to delete the files that we know
        # openiked created.
        rm    /etc/iked/private/local.key || true
        rmdir /etc/iked/private           || true
        rm    /etc/iked/local.pub         || true
        rmdir /etc/iked                   || true
        ;;

    remove|failed-upgrade|abort-install|abort-upgrade|disappear|upgrade)
	;;

    *)
	echo "postrm called with unknown argument \`$1'" >&2
	exit 1
	;;
esac

#DEBHELPER#
